(function (Drupal, $) {

  Drupal.behaviors.modalMenuBlock = {
    attach: function (context) {
      $('.modal-menu-block', context).each((idx, menu) => {
        const $menu = $(menu);
        const $content = $('.modal-menu-block--content', $menu);
        let dialog = null;
        if ($content.length > 0) {
          dialog = Drupal.dialog($content[0], {});
        }

        $('.modal-menu-block--trigger', $menu).click(() => {
          dialog.showModal();
          $menu.addClass('open');
        });

        $(window).on('dialog:afterclose', (event, closedModal) => {
          if (closedModal === dialog) {
            $menu.removeClass('open');
          }
        });
      });
    }
  };

})(Drupal, jQuery)
